<?php
session_start();
include "verifica.php";

@$xnombres=$_REQUEST['xnombres'];
@$xabreviatura=$_REQUEST['xabreviatura'];
@$xaccion=$_REQUEST['xaccion'];
@$xid=$_REQUEST['xid'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];

include "../conexion.php";

$cat = new Categorias;

switch($xaccion){
	
	case "adicionar": 
		if($cat->adicionar($conexion)==1){
			//echo "adicionar";
			?>			
			<script language="javascript">
			alert("Categoria creada satisfactoriamente.")
			parent.location.href="../categorias.php";
			</script>			
			<?php
			
		}		
		break;
		
	case "modificar": 
		if($cat->modificar($conexion)==1){
			//echo "modificar";
			?>			
			<script language="javascript">
			alert("Categoria modificada satisfactoriamente.")
			parent.location.href="../categorias.php";
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($cat->eliminar($conexion)==1){
			//echo "eliminar";
			?>			
			<script language="javascript">
			alert("Categoria eliminada satisfactoriamente.")
			parent.location.href="../categorias.php";
			</script>			
			<?php
			
		}		
		break;


}

class Categorias{

	//Adiciona nueva categorķa
	function adicionar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid;		

		$r = mysqli_query($conexion,"insert into categorias (cat_nombre, 
												  cat_abreviatura)
										values ('$xnombres', 
												'$xabreviatura');");
		
		if($r){		
			return 1;
		}	
				
	}	

	//Modifica una categorķa
	function modificar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid;		

		$r = mysqli_query($conexion,"update categorias set cat_nombre = '$xnombres', 
												  cat_abreviatura = '$xabreviatura'
										where cat_id = $xid;");
		
		if($r){		
			return 1;
		}	
	
	}	
	

	//Elimina una categorķa
	function eliminar($conexion){
		global $xnombres, $xabreviatura, $xaccion, $xid;		

		$r = mysqli_query($conexion,"delete from categorias where cat_id = $xid;");
		
		if($r){		
			return 1;
		}	
	}		

}


?>
